IDynamicPropertyStoreAppender (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.IDynamicPropertyStoreAppender class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class IDynamicPropertyStoreAppender

    java.lang.Object
      org.apache.catalina.storeconfig.StoreAppender
          org.apache.catalina.storeconfig.IDynamicPropertyStoreAppender

public class IDynamicPropertyStoreAppender
extends StoreAppender

Store the IDynamicProperty attributes.

Author:
  Peter Rossbach

Constructor Summary
`IDynamicPropertyStoreAppender()`

Method Summary
`protected java.util.List` | `getPropertyKeys(IDynamicProperty bean)` Get all properties from ReplicationTransmitter (also dynamic properties)
`void` | `printAttributes(java.io.PrintWriter writer, int indent, boolean include, java.lang.Object bean, StoreDescription desc)` Store the relevant attributes of the specified JavaBean.

Methods inherited from class org.apache.catalina.storeconfig.StoreAppender
`convertStr, defaultInstance, isPersistable, isPrintValue, printAttribute, printAttributes, printCloseTag, printIndent, printOpenTag, printTag, printTagArray, printTagContent, printTagValueArray, printValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDynamicPropertyStoreAppender

    public IDynamicPropertyStoreAppender()

Method Detail

### printAttributes

    public void printAttributes(java.io.PrintWriter writer,
                                int indent,
                                boolean include,
                                java.lang.Object bean,
                                StoreDescription desc)
                         throws java.lang.Exception

  Store the relevant attributes of the specified JavaBean.

  Overrides:
    `printAttributes` in class `StoreAppender`
  Parameters:
    `writer` - PrintWriter to which we are storing
    `include` - Should we include a `className` attribute?
    `bean` - Bean whose properties are to be rendered as attributes,
    `desc` - RegistryDescrpitor from this bean
  Throws:
    `java.lang.Exception` - if an exception occurs while storing

### getPropertyKeys

    protected java.util.List getPropertyKeys(IDynamicProperty bean)
                                      throws java.beans.IntrospectionException

  Get all properties from ReplicationTransmitter (also dynamic properties)

  Parameters:
    `bean` -
  Returns:
    List of Connector Properties
  Throws:
    `java.beans.IntrospectionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.